:root {
	--PF: #fff;
	--PB: #eee;
	--SF: #000;
	--SB: rgba(26, 26, 26, 0.8);
}

@media (prefers-color-scheme: dark) {
	body{
		background-color: #000;
	}
	:root {
		--PF: #222;
		--PB: #000;
		--SF: #ccc;
		--SB: #666;
	}
}

/* styles */


::-moz-selection {
	color: var(--PF);
	background-color: var(--SF);
}

::selection {
	color: var(--PF);
	background-color: var(--SF);
}

body {
	color: var(--SF);
	font-family: Roobert, -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	text-shadow: 0rem 1rem 1rem var(--SB);
	scroll-snap-type: proximity;
}

a {
	text-decoration: none;
}

.box {
	width: 100%;
	box-shadow: var(--SB) 0 4px 8px;
}

.box h2 {
	text-decoration: double;
}

#update-window,
.box {
	margin-bottom: 2vh;
	border: 1px thin var(--SB);
	border-radius: 12px;
}

#update-window {
	padding: 5vh 5vw;
	height: 50%;
	width: 80%;
	box-shadow: var(--SB) 0 8px 15px;
	overflow: auto;
	scrollbar-color: hidden;
}

/* button styles */

.fancy-button {
	appearance: none;
	background-color: transparent;
	opacity: 0.9;
	border: 2px solid var(--SF);
	border-radius: 12px;
	box-sizing: border-box;
	color: var(--SF);
	cursor: pointer;
	display: inline-block;
	font-size: 16px;
	font-weight: 600;
	line-height: normal;
	margin: 0;
	min-height: 60px;
	min-width: 0;
	outline: none;
	padding: 16px 20px;
	text-align: center;
	text-decoration: none;
	transition: all 300ms ease-in-out;
	user-select: none;
	-webkit-user-select: none;
	touch-action: manipulation;
	will-change: transform;
}

.fancy-button:disabled {
	pointer-events: none;
}

.fancy-button:hover {
	color: var(--PF);
	background-color: var(--SF);
	box-shadow: var(--SB) 0 8px 15px;
	text-shadow: none;
	transform: translateY(-2px);
}

.fancy-button:active {
	box-shadow: none;
	transform: translateY(0);
}

/* media queries */

@media (orientation: landscape) {

	.navbar-tabs h1,
	.nav-slide h1 {
		font-size: 4rem;
	}

	.navbar-tabs h3,
	.nav-slide h3 {
		font-size: 1rem;
	}

	.navbar-tab {
		font-size: 1rem;
	}
}

@media (orientation: portrait) {

	.navbar-tabs-container,
	.navbar-tabs-container--top {
		height: 8vh;
	}

	.navbar-tabs h1,
	.nav-slide h1 {
		font-size: 8vw;
	}

	
	.navbar-tabs h3,
	.nav-slide h3 {
		font-size: 3vw;
	}
	
	p {
		font-size: 3vw;
		;
	}

	.navbar-tab {
		font-size: 1.2rem;
		border: 1px var(--PF);
		border-radius: 16px;
	}
}